Package org.eclipse.emf.cdo.session.remote

# Class CDORemoteSessionRequest.GlobalRequestHandler

java.lang.Object
org.eclipse.emf.cdo.session.remote.CDORemoteSessionRequest.GlobalRequestHandler

All Implemented Interfaces:
  `org.eclipse.net4j.util.lifecycle.IDeactivateable`

Enclosing class:
  `CDORemoteSessionRequest`

public abstract static class CDORemoteSessionRequest.GlobalRequestHandler extends Object implements org.eclipse.net4j.util.lifecycle.IDeactivateable
Handles incoming `requests` in the context of all `globally registered` sessions and optionally sends back response `messages`.

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`GlobalRequestHandler(String type)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract byte[]`
`createResponse(CDORemoteSession sender, byte[] request)`
`Exception`
`deactivate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GlobalRequestHandler

public GlobalRequestHandler(String type)

## Method Details

### deactivate

public Exception deactivate()

Specified by:
  `deactivate` in interface `org.eclipse.net4j.util.lifecycle.IDeactivateable`

### createResponse

protected abstract byte[] createResponse(CDORemoteSession sender, byte[] request)